      SUBROUTINE DATIM1 ( DATE )                              
!********************************************************************** 
!                                                                       
!   NAME- DATIM1                                                        
!                                                                       
!   LANGUAGE- FORTRAN 90     TYPE- SUBROUTINE       COMPUTER- CRAY    
!                                                                       
!   VERSION- 1.0    DATE- 04/19/96   PROGRAMMER- ALEX POZDNYAK (FDC)    
!   VERSION- 2.0    DATE- 09/21/98   PROGRAMMER- FRANK TILLEY (SES)
!                                                                       
!   DESCRIPTION- THIS ROUTINE FILLS THE VECTOR ARGUMENT WITH THE DATE
!                AND TIME.  THIS WAS A SYSTEM ROUTINE ON THE CEMSCS
!                MAINFRAME. IT HAS BEEN CODED AS A LOOK ALIKE FOR USE OF
!                EXISTING CODE REHOSTED TO THE CRAY.
!
!      VERSION 2.0 - FOR YEAR 2000 COMPATIBILITY, CHANGED CONVERSION
!                    OF 4-DIGIT TO 2-DIGIT YEAR TO USE MODULO 100 OF
!                    THE 4-DIGIT YEAR INSTEAD OF SUBTRACTING A
!                    HARDCODED VALUE OF 1900.
!                                                                       
!   CALLING SEQUENCE PARAMETERS-                                        
!                                                                       
!     VARIABLE   TYPE  I/O DESCRIPTION                                  
!     --------   ----  --- ---------------------                        
!     DATE(6)     INT  I/O VECTOR OF SIX SYSTEM DATE/TIME VALUES.       
!
!   LOCAL PARAMETERS-
!
!     VARIABLE   TYPE  DESCRIPTION
!     --------   ----  -----------
!                                                                       
!     IVALUE      INT  VECTOR OF SYSTEM DAY/MONTH/YEAR/HOURS/MINUTES 
!                      VALUES.      
!                                                                       
!     NDTBOM(12)  INT  NUMBER OF DAYS TO BEGINNING OF EACH MONTH.       
!                                                                       
!********************************************************************** 
                                                                        
      INTRINSIC DATE_AND_TIME
                                                                        
      INTEGER           DATE (6), DMY (3), HMS (3), NDTBOM (12), I
      INTEGER           IVALUE (8)
      CHARACTER(LEN=8)  CDATE
      CHARACTER(LEN=10) CTIME
      CHARACTER(LEN=5)  CZONE

!     DATE(1) = YEAR                                                    
!     DATE(2) = DAY OF YEAR                                             
!     DATE(3) = MONTH OF YEAR                                           
!     DATE(4) = DAY OF MONTH                                            
!     DATE(5) = HOURS + MINUTES                                         
!     DATE(6) = SECONDS + HUNDREDTHS                                    
 
!     RETRIEVE SYSTEM DATE AND TIME
 
      CALL DATE_AND_TIME( CDATE, CTIME, CZONE, IVALUE )

!     CONVERT YEAR TO TWO DIGIT NUMBER
      I = IVALUE(1)
      DATE(1) = MOD(I,100)
  
      DATE(3) = IVALUE (2)
      DATE(4) = IVALUE (3)
      DATE(5) = (IVALUE (5) * 100) + IVALUE (6) 
      DATE(6) = IVALUE (7) * 100
 
!     DATE(2) = DAY OF YEAR                                             
      CALL JULIUS ( DATE(3), DATE(4), IVALUE(1), DATE(2))
 
      RETURN
      END
